Bug 84168 - Please backport "Avoid assembler warnings from AArch64 constructor/destructor priorities."
Summary: Please backport "Avoid assembler warnings from AArch64 constructor/destructor...
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 7.3.0
: P3 normal
Target Milestone: 6.5
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-01 14:00 UTC by Frank Mehnert
Modified: 2018-07-17 12:57 UTC (History)
4 users (show)

See Also:
Host:
Target: aarch64
Build:
Known to work:
Known to fail:
Last reconfirmed: 2018-02-23 00:00:00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Mehnert 2018-02-01 14:00:42 UTC
Please backport changeset 41be51b050e5de25e711657bdc0b19a7e98a564a at least to gcc-7, if possible also to gcc-6. This warning is triggered very often in our (L4Re) project.

Thank you!
Comment 1 Tamar Christina 2018-02-23 09:51:10 UTC
Where does this hash come from? the main GCC repository is an SVN one, Do you have the corresponding svn revision?
Comment 2 ktkachov 2018-02-23 10:05:51 UTC
That hash would be from git://gcc.gnu.org/git/gcc.git
The SVN revision is r253252.
I asked on gcc-patches for a backport (https://gcc.gnu.org/ml/gcc-patches/2018-02/msg00054.html)

I didn't get an explicit ok, but no objections either
Comment 3 Frank Mehnert 2018-05-30 06:34:29 UTC
Sorry for the late response and thanks for bringing this up on gcc-patches.
Comment 4 ktkachov 2018-07-17 12:42:28 UTC
Changing component to target
Comment 5 ktkachov 2018-07-17 12:44:15 UTC
Author: ktkachov
Date: Tue Jul 17 12:43:43 2018
New Revision: 262821

URL: https://gcc.gnu.org/viewcvs?rev=262821&root=gcc&view=rev
Log:
Avoid assembler warnings from AArch64 constructor/destructor priorities

2018-07-17  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>

	Backport from mainline
	PR target/84168
	2017-09-28  Joseph Myers  <joseph@codesourcery.com>

	* config/aarch64/aarch64.c (aarch64_elf_asm_constructor)
	(aarch64_elf_asm_destructor): Pass SECTION_NOTYPE to get_section
	when creating .init_array and .fini_array sections with priority
	specified.

Modified:
    branches/gcc-7-branch/gcc/ChangeLog
    branches/gcc-7-branch/gcc/config/aarch64/aarch64.c
Comment 6 ktkachov 2018-07-17 12:54:13 UTC
Author: ktkachov
Date: Tue Jul 17 12:53:42 2018
New Revision: 262822

URL: https://gcc.gnu.org/viewcvs?rev=262822&root=gcc&view=rev
Log:
Avoid assembler warnings from AArch64 constructor/destructor priorities.

2018-07-17  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>

	Backport from mainline
	PR target/84168
	2017-09-28  Joseph Myers  <joseph@codesourcery.com>

	* config/aarch64/aarch64.c (aarch64_elf_asm_constructor)
	(aarch64_elf_asm_destructor): Pass SECTION_NOTYPE to get_section
	when creating .init_array and .fini_array sections with priority
	specified.

Modified:
    branches/gcc-6-branch/gcc/ChangeLog
    branches/gcc-6-branch/gcc/config/aarch64/aarch64.c
Comment 7 ktkachov 2018-07-17 12:57:12 UTC
Backports committed for GCC 6.5 and 7.4.